Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQFilePreview Class Reference

The TQFilePreview class provides file previewing in TQFileDialog. More...

`#include <ntqfiledialog.h>`

List of all member functions.

## Public Members

- TQFilePreview ()
- virtual void previewUrl ( const TQUrl & url ) = 0

## Detailed Description

The TQFilePreview class provides file previewing in TQFileDialog.

This class is an abstract base class which is used to implement widgets that can display a preview of a file in a TQFileDialog.

You must derive the preview widget from both TQWidget and from this class. Then you must reimplement this class's previewUrl() function, which is called by the file dialog if the preview of a file (specified as a URL) should be shown.

See also TQFileDialog::setPreviewMode(), TQFileDialog::setContentsPreview(), TQFileDialog::setInfoPreview(), TQFileDialog::setInfoPreviewEnabled(), TQFileDialog::setContentsPreviewEnabled().

For an example of a preview widget see qt/examples/qdir/qdir.cpp.

See also Miscellaneous Classes.

## Member Function Documentation

### TQFilePreview::TQFilePreview ()

Constructs the TQFilePreview.

### void TQFilePreview::previewUrl ( const TQUrl & url )`[pure virtual]`

This function is called by TQFileDialog if a preview for the url should be shown. Reimplement this function to provide file previewing.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.